body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-family: Arial, sans-serif;
}

.header {
    background-color: #f0f0f0; /* Gentle background color */
    padding: 20px;
    width: 100%;
    box-sizing: border-box;
}

.header h1, .header h2, .section-title {
    text-align: center;
    margin: 0;
}

.header h2 {
    color: rgb(155, 155, 155); /* Less black color for subtitle */
}

.section {
    margin-bottom: 30px;
}

.section-title {
    margin-top: 30px;
    margin-bottom: 10px;
}

.app-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.app {
    width: 150px; /* Adjust width and height to change the size of the squares */
    height: 150px;
    background-color: #eaeaea; /* Fallback background color */
    border: 1px solid #ccc;
    display: flex;
    justify-content: flex-end; /* Align content to the bottom */
    align-items: center;
    flex-direction: column;
    cursor: pointer;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    transition: box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out;
    position: relative; /* Needed for absolute positioning of children */
    overflow: hidden; /* Ensures no overflow of content */
    background-size: cover; /* Ensure background image covers the square */
    background-position: center; /* Center the background image */
}

.app h4 {
    color: black; /* Text color */
    text-align: center;
    margin: 0;
    padding: 8px 0; /* Padding for top and bottom */
    position: absolute;
    bottom: 0; /* Position at the bottom */
    width: 100%;
}

.app:hover {
    box-shadow: 0 6px 12px rgba(0,0,0,0.2); /* Enhanced shadow on hover */
    transform: scale(1.05); /* Slight scale up on hover */
}

